Bug 837 - Samba HOWTO Collection probably missing quotes - wrong semantics
Samba HOWTO Collection probably missing quotes - wrong semantics
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Docs
3.0.0
All other
: P3 minor
: none
Assigned To: Jelmer Vernooij
http://samab.kn.vutbr.cz/samba/docs/S...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-28 04:04 UTC by Clock
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clock 2003-11-28 04:04:33 UTC
Samba HOWTO Collection November 14, 2003
Page: 142, top half of the page, example script:

cat /etc/group.bak | sed s/smbtmpgrp00/$1/g > /etc/group

When $1 is Domain Admins, it expands into

cat /etc/group.bak | sed s/smbtmpgrp00/Domain Admins/g > /etc/group

which will result in error message
sed: -e expression #1, char 20: Unterminated `s' command

Suggested fix:
cat /etc/group.bak | sed -e "s/smbtmpgrp00/$1/g" > /etc/group
Comment 1 Jelmer Vernooij 2004-01-08 15:26:33 UTC
Fixed, thanks once again !  
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:21:42 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.